Agora Java API Reference for Android

Static Public Member Functions | Public Attributes | List of all members
io.agora.rte.Constants.PlayerEvent Enum Reference

## Static Public Member Functions
static int | getValue (PlayerEvent type)
static PlayerEvent | fromInt (int v)

## Public Attributes
| SEEK_BEGIN =(0)
| SEEK_COMPLETE =(1)
| SEEK_ERROR =(2)
| BUFFER_LOW =(3)
| BUFFER_RECOVER =(4)
| FREEZE_START =(5)
| FREEZE_STOP =(6)
| ONE_LOOP_PLAYBACK_COMPLETED =(7)
| AUTHENTICATION_WILL_EXPIRE =(8)
| ABR_FALLBACK_TO_AUDIO_ONLY_LAYER =(9)
| ABR_RECOVER_FROM_AUDIO_ONLY_LAYER =(10)
| SWITCH_BEGIN =(11)
| SWITCH_COMPLETE =(12)
| SWITCH_ERROR =(13)
| FIRST_DISPLAYED =(14)
| REACH_CACHE_FILE_MAX_COUNT =(15)
| REACH_CACHE_FILE_MAX_SIZE =(16)
| TRY_OPEN_START =(17)
| TRY_OPEN_SUCCEED =(18)
| TRY_OPEN_FAILED =(19)
| AUDIO_TRACK_CHANGED =(20)

## Detailed Description

Player events. When an event occurs, it will be notified through the PlayerObserver.onEvent callback.

Since
  v4.4.0

## Member Data Documentation

## ◆ SEEK_BEGIN

io.agora.rte.Constants.PlayerEvent.SEEK_BEGIN =(0)

0: Start seeking to a specified position for playback.

## ◆ SEEK_COMPLETE

io.agora.rte.Constants.PlayerEvent.SEEK_COMPLETE =(1)

1: Seek complete.

## ◆ SEEK_ERROR

io.agora.rte.Constants.PlayerEvent.SEEK_ERROR =(2)

2: An error occurs when seeking to a new playback position.

## ◆ BUFFER_LOW

io.agora.rte.Constants.PlayerEvent.BUFFER_LOW =(3)

3: The currently buffered data is not enough to support playback.

## ◆ BUFFER_RECOVER

io.agora.rte.Constants.PlayerEvent.BUFFER_RECOVER =(4)

4: The currently buffered data is just enough to support playback.

## ◆ FREEZE_START

io.agora.rte.Constants.PlayerEvent.FREEZE_START =(5)

5: Audio or video playback starts freezing.

## ◆ FREEZE_STOP

io.agora.rte.Constants.PlayerEvent.FREEZE_STOP =(6)

6: The audio or video playback resumes without freezing.

## ◆ ONE_LOOP_PLAYBACK_COMPLETED

io.agora.rte.Constants.PlayerEvent.ONE_LOOP_PLAYBACK_COMPLETED =(7)

7: One loop playback completed.

## ◆ AUTHENTICATION_WILL_EXPIRE

io.agora.rte.Constants.PlayerEvent.AUTHENTICATION_WILL_EXPIRE =(8)

8: URL authentication will expire.

## ◆ ABR_FALLBACK_TO_AUDIO_ONLY_LAYER

io.agora.rte.Constants.PlayerEvent.ABR_FALLBACK_TO_AUDIO_ONLY_LAYER =(9)

9: When the fallback option is enabled, ABR revert to the audio-only layer due to poor network.

## ◆ ABR_RECOVER_FROM_AUDIO_ONLY_LAYER

io.agora.rte.Constants.PlayerEvent.ABR_RECOVER_FROM_AUDIO_ONLY_LAYER =(10)

10: ABR recovers from audio-only layer to video layer when fallback option is enabled.

## ◆ SWITCH_BEGIN

io.agora.rte.Constants.PlayerEvent.SWITCH_BEGIN =(11)

11: Start switching to a new URL.

## ◆ SWITCH_COMPLETE

io.agora.rte.Constants.PlayerEvent.SWITCH_COMPLETE =(12)

12: Switching to a new URL completes.

## ◆ SWITCH_ERROR

io.agora.rte.Constants.PlayerEvent.SWITCH_ERROR =(13)

13: An error occurs when switching to a new URL.

## ◆ FIRST_DISPLAYED

io.agora.rte.Constants.PlayerEvent.FIRST_DISPLAYED =(14)

14: The first frame of the video is displayed.

## ◆ REACH_CACHE_FILE_MAX_COUNT

io.agora.rte.Constants.PlayerEvent.REACH_CACHE_FILE_MAX_COUNT =(15)

15: The number of cached files reaches the maximum.

## ◆ REACH_CACHE_FILE_MAX_SIZE

io.agora.rte.Constants.PlayerEvent.REACH_CACHE_FILE_MAX_SIZE =(16)

16: The size of the cached files reaches the maximum.

## ◆ TRY_OPEN_START

io.agora.rte.Constants.PlayerEvent.TRY_OPEN_START =(17)

17: Start trying to open a new URL.

## ◆ TRY_OPEN_SUCCEED

io.agora.rte.Constants.PlayerEvent.TRY_OPEN_SUCCEED =(18)

18: Trying to open a new URL succeeds.

## ◆ TRY_OPEN_FAILED

io.agora.rte.Constants.PlayerEvent.TRY_OPEN_FAILED =(19)

19: Trying to open a new URL fails.

## ◆ AUDIO_TRACK_CHANGED

io.agora.rte.Constants.PlayerEvent.AUDIO_TRACK_CHANGED =(20)

20: Audio track changed.